extends AudioStreamPlayer2D


const PITCH_MIN = 0.8
const PITCH_MAX = 2.6


func trigger():
	play(0.0)


func _on_trigger_area_entered(area):
	trigger()


func _on_star_note_changed(new_note: Music.Note, octave: int):
	set_pitch_scale(Music.scale_note_octave(new_note, octave))
