extends PathFollow2D
# a moving music player


signal note_changed(new_note: Music.Note, octave: int)

const RAYON = 20

@export var speed: float = 200.0
@export var note: Music.Note = Music.Note.A
@export var octave: int = 0


func _ready():
	emit_signal("note_changed", note, octave)


func _physics_process(delta):
	progress += speed * delta

func _draw():
	draw_circle(Vector2.ZERO, RAYON, Color.WHITE)
